## 389-ds-base 2.3.4+dfsg1

=== debian/changelog ===
389-ds-base (2.3.4+dfsg1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Drop upstreamed or obsolete patches.
  * control: Add dependency on python3-cryptography.

  [ Peter Michael Green ]
  * Improve clean target.
  * Use ln -fs instead of ln -s to allow resuming build after fixing errors.
  * Fix build with base64 0.21. (Closes: #1037345)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Jun 2023 19:13:30 +0300

=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
Build-Depends:
 libcmocka-dev,
 cargo,
 debhelper-compat (= 13),
 dh-cargo,
 dh-python,
 doxygen,
 libbz2-dev,
 libcrack2-dev,
 libdb-dev,
 libevent-dev,
 libicu-dev,
 libjson-c-dev,
 libkrb5-dev,
 libldap2-dev (>= 2.4.28),
 liblmdb-dev,
 libltdl-dev,
 libnspr4-dev,
 libnss3-dev,
 libpam0g-dev,
 libpci-dev,
 libpcre2-dev,
 libperl-dev,
 librust-base64-0.21-dev,
 librust-cbindgen-dev,
 librust-cc-dev,
 librust-crossbeam-dev,
 librust-fernet-dev,
 librust-jobserver-dev,
 librust-lru-dev,
 librust-openssl-dev,
 librust-parking-lot-dev,
 librust-paste-dev,
 librust-rand-dev,
 librust-smallvec-dev,
 librust-tokio-dev,
 libsasl2-dev,
 libsnmp-dev,
 libssl-dev,
 libsystemd-dev,
 pkg-config,
 python3-all-dev,
 python3-argcomplete,
 python3-argparse-manpage,
 python3-cryptography,
 python3-dateutil,
 python3-ldap,
 python3-packaging,
 python3-selinux,
 python3-sepolicy,
 python3-setuptools,
 rsync,
 rustc,
 zlib1g-dev,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base
Homepage: https://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends:
 389-ds-base,
 cockpit-389-ds,
 ${misc:Depends},
Description: 389 Directory Server suite - metapackage
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This is a metapackage depending on the LDAPv3 server and a Cockpit UI plugin
 for administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libjemalloc2,
Breaks: 389-ds-base (<< 1.3.6.7-5),
 389-ds-base-dev (<< 1.3.6.7-4),
 libsvrcore0,
Replaces: 389-ds-base (<< 1.3.6.7-5),
 389-ds-base-dev (<< 1.3.6.7-4),
 libsvrcore0,
Description: 389 Directory Server suite - libraries
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 389-ds-base-libs (= ${binary:Version}),
 libldap2-dev,
 libnspr4-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: 389-ds-base (<< 1.3.6.7-4),
 libsvrcore-dev,
Replaces: 389-ds-base (<< 1.3.6.7-4),
 libsvrcore-dev,
Provides:
 libsvrcore-dev,
Description: 389 Directory Server suite - development files
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends:
 389-ds-base-libs (= ${binary:Version}),
 adduser,
 acl,
 ldap-utils,
 libmozilla-ldap-perl,
 libnetaddr-ip-perl,
 libsocket-getaddrinfo-perl,
 libsasl2-modules-gssapi-mit,
 perl,
 python3-lib389,
 python3-selinux,
 python3-semanage,
 python3-sepolicy,
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
Replaces: 389-ds-base-legacy-tools
Description: 389 Directory Server suite - server
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 Its key features include:
  * four-way multi-master replication;
  * great scalability;
  * extensive documentation;
  * Active Directory user and group synchronization;
  * secure authentication and transport;
  * support for LDAPv3;
  * graphical management console;
  * on-line, zero downtime update of schema, configuration, and
    in-tree Access Control Information.

Package: python3-lib389
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 libnss3-tools,
 openssl,
 python3-argcomplete,
 python3-cryptography,
 python3-dateutil,
 python3-ldap,
 python3-packaging,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pytest,
Conflicts: python-lib389 (<< 1.3.7.8),
 389-ds-base (<< 1.4.0.18-1~),
Replaces: python-lib389 (<< 1.3.7.8),
 389-ds-base (<< 1.4.0.18-1~),
Description: Python3 module for accessing and configuring the 389 Directory Server
 This Python3 module contains tools and libraries for accessing, testing,
 and configuring the 389 Directory Server.

Package: cockpit-389-ds
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 cockpit,
 libjs-bootstrap,
 libjs-c3,
 libjs-d3,
 libjs-jquery-datatables,
 libjs-jquery-datatables-extensions,
 libjs-jquery-jstree,
 libjs-moment,
 libnss3-tools,
 python3,
 python3-lib389,
Description: Cockpit user interface for 389 Directory Server
 This package includes a Cockpit UI plugin for configuring and administering
 the 389 Directory Server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie


ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

REALFILE = \
	bin/ds-logpipe.py \
	bin/logconv.pl \
	share/man/man1/ds-logpipe.py.1 \
	share/man/man1/logconv.pl.1 \

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
	rm -f ldap/servers/snmp/ldap-agent.conf
	rm -rf src/lib389/build src/lib389/lib389.egg-info
	find src/lib389/ -name '__pycache__' -exec rm -rf '{}' ';'
	rm -f src/lib389/man/*.8
	rm -f ldap/admin/src/*.inf rust-nsslapd-private.h src/Cargo.lock
	rm -f wrappers/dirsrv-snmp.service wrappers/dirsrv.target wrappers/dirsrv@.service wrappers/dirsrv@.service.d/custom.conf wrappers/ds_selinux_restorecon.sh wrappers/ds_systemd_ask_password_acl
	rm -f debian/vendor/*-*
	rm -f config.sub config.guess

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-openldap \
		--with-systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-systemdsystemconfdir=/etc/systemd/system \
		--with-systemdgroupname=dirsrv.target \
		--with-tmpfiles-d=/etc/tmpfiles.d \
		--enable-autobind \
		--enable-cmocka \
		--enable-icu \
		--enable-perl \
		--enable-rust \
		--enable-rust-offline

	(cd debian/vendor && for i in `ls /usr/share/cargo/registry`; do \
	  ln -fs /usr/share/cargo/registry/$$i .; done)

override_dh_auto_build:
	(cd src/lib389 && python3 setup.py build)
	dh_auto_build

override_dh_auto_install:
	(cd src/lib389 && python3 setup.py install --install-layout=deb --root ../../debian/tmp)

	dh_auto_install --max-parallel=1

override_dh_install:
	# lets do the renaming here afterall, instead of in 389-ds-base.install
	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl//;s/\.py//'`; \
		done
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;

	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants

	# fix the manpage section, argparse-manpage hardcodes it as 1
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsconf.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dscreate.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8

	# link to jemalloc
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/
	ln -s /usr/lib/$(DEB_BUILD_MULTIARCH)/libjemalloc.so.2 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installsystemd:
	dh_installsystemd -p389-ds-base --no-enable dirsrv-snmp.service

override_dh_shlibdeps:
	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

## 389-ds-base 2.4.4+dfsg1

=== debian/changelog ===
389-ds-base (2.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Generate lib389/setup.py.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Jan 2024 18:04:08 +0200

389-ds-base (2.3.4+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add librust-clap-3-dev on B-D. (Closes: #1052626)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 28 Dec 2023 15:26:49 +0800

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
  librust-rand-dev,
  librust-smallvec-dev,
  librust-tokio-dev,
+ librust-clap-3-dev,
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	  ln -fs /usr/share/cargo/registry/$$i .; done)
 
 override_dh_auto_build:
-	(cd src/lib389 && python3 setup.py build)
+	(make src/lib389/setup.py && cd src/lib389 && python3 setup.py build)
 	dh_auto_build
 
 override_dh_auto_install:

## 389-ds-base 2.4.5+dfsg1

=== debian/changelog ===
389-ds-base (2.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to libldap-dev, and drop obsolete B/R/P.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Apr 2024 18:48:40 +0300

389-ds-base (2.4.4+dfsg1-3) unstable; urgency=medium

  * rules: Fix build on 32bit. Thanks, Chris Peterson! (Closes:
    #1063434)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 10 Feb 2024 11:04:23 +0200

389-ds-base (2.4.4+dfsg1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060335)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jan 2024 16:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libicu-dev,
  libjson-c-dev,
  libkrb5-dev,
- libldap2-dev (>= 2.4.28),
+ libldap-dev,
  liblmdb-dev,
  libltdl-dev,
  libnspr4-dev,
@@ -104,16 +104,10 @@
 Multi-Arch: same
 Depends:
  389-ds-base-libs (= ${binary:Version}),
- libldap2-dev,
+ libldap-dev,
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: 389-ds-base (<< 1.3.6.7-4),
- libsvrcore-dev,
-Replaces: 389-ds-base (<< 1.3.6.7-4),
- libsvrcore-dev,
-Provides:
- libsvrcore-dev,
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel i386))
+  export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE
 endif
 
 REALFILE = \
@@ -33,7 +36,7 @@
 	dh_auto_configure -- \
 		--with-openldap \
 		--with-systemd \
-		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-systemdsystemunitdir=/usr/lib/systemd/system \
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
 		--with-tmpfiles-d=/etc/tmpfiles.d \

## 389-ds-base 3.1.1+dfsg1

=== debian/changelog ===
389-ds-base (3.1.1+dfsg1-3) unstable; urgency=medium

  * control, patches: Build-depend on librust-base64-dev instead of old versioned
    package, and fix the patch to look for 0.22. (Closes: #1086448)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 11:13:01 +0200

389-ds-base (3.1.1+dfsg1-2) unstable; urgency=medium

  * control: Fix bindgen build-dependency. (Closes: #1081855)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Oct 2024 09:38:35 +0300

389-ds-base (3.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1073466)
    - CVE-2024-6237
    - CVE-2024-5953
    - CVE-2024-3657
    - CVE-2024-2199 (Closes: #1072531)
  * control, vendor: Add librust-ahash-0.7-dev to build-depends, modify
    concread cargo to allow newer lru. (Closes: #1071998)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Aug 2024 09:53:49 +0300

389-ds-base (3.0.2+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 13:34:47 +0300

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,9 @@
  libpci-dev,
  libpcre2-dev,
  libperl-dev,
- librust-base64-0.21-dev,
- librust-cbindgen-dev,
+ librust-ahash-0.7-dev,
+ librust-base64-dev,
+ librust-cbindgen-0+default-dev,
  librust-cc-dev,
  librust-crossbeam-dev,
  librust-fernet-dev,

## 389-ds-base 3.1.2+dfsg1

=== .copr/Makefile ===
srpm:
	# Install dependencies to generate srpm
	dnf install -y git rsync bzip2 rpm-build cargo rust npm make python3-argcomplete
	cargo install cargo-license --root /usr

	# chown files in current working directory to root:root
	# because when npm is run as root, scripts are always run
	# with the effective uid and gid of the working directory owner.
	# copr-rpmbuild runs mock with CAP_SETUID and CAP_SETGID
	# capabilities dropped, and build commands are executed as root.
	# So npm fails if current working directory is not owned by root.
	chown -R root:root .
	# Generate srpm
	SKIP_AUDIT_CI=1 make BUNDLE_LIBDB=1 -f rpm.mk srpm

	if [[ "${outdir}" != "" ]]; then \
	        mv dist/srpms/* ${outdir}; \
	fi

=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
python-dateutil
argcomplete
argparse-manpage
python-ldap
setuptools
distro
cryptography

=== debian/changelog ===
389-ds-base (3.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * vendor: Import ahash 0.7.8. (Closes: #1095537)
  * patches: Refreshed.
  * control, rules: Drop obsolete perl depends, install pythonized
    logconv.
  * patches: Fix CVE-2025-2487. (Closes: #1100994)
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Apr 2025 14:06:13 +0300

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,6 @@
  libpam0g-dev,
  libpci-dev,
  libpcre2-dev,
- libperl-dev,
- librust-ahash-0.7-dev,
  librust-base64-dev,
  librust-cbindgen-0+default-dev,
  librust-cc-dev,
@@ -46,7 +44,7 @@
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
- pkg-config,
+ pkgconf,
  python3-all-dev,
  python3-argcomplete,
  python3-argparse-manpage,
@@ -126,11 +124,7 @@
  adduser,
  acl,
  ldap-utils,
- libmozilla-ldap-perl,
- libnetaddr-ip-perl,
- libsocket-getaddrinfo-perl,
  libsasl2-modules-gssapi-mit,
- perl,
  python3-lib389,
  python3-selinux,
  python3-semanage,

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 REALFILE = \
 	bin/ds-logpipe.py \
-	bin/logconv.pl \
+	bin/logconv.py \
 	share/man/man1/ds-logpipe.py.1 \
-	share/man/man1/logconv.pl.1 \
+	share/man/man1/logconv.py.1 \
 
 %:
 	dh $@ --with python3
@@ -43,7 +43,6 @@
 		--enable-autobind \
 		--enable-cmocka \
 		--enable-icu \
-		--enable-perl \
 		--enable-rust \
 		--enable-rust-offline
 
@@ -68,6 +67,9 @@
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
 
+	# and perl tools
+	find $(CURDIR)/debian/tmp -name "logconv.pl*" -type f -exec rm -f "{}" \;
+
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
 	# fix the manpage section, argparse-manpage hardcodes it as 1

=== debian/tests/control ===
Tests: setup
Depends:
 389-ds-base,
Restrictions:
 isolation-container,
 needs-root,

=== debian/watch ===
#git=https://github.com/389ds/389-ds-base
version=4

opts="\
    dversionmangle=s/\+dfsg\d*$//, \
    oversionmangle=s/$/+dfsg1/, \
    filenamemangle=s#@ANY_VERSION@$#$1.tar.bz2#, \
    downloadurlmangle=s#/tag/#/download/#;s#@ANY_VERSION@$#$1/$1.tar.bz2#" \
https://github.com/389ds/@PACKAGE@/tags .*/releases/tag/@PACKAGE@-@ANY_VERSION@
